classification
Title: DOC: Incorrect capitalization in Programming FAQ
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, avi, cheryl.sabella, lys.nikolaou, miss-islington, ned.deily
Priority: normal Keywords: easy, patch

Created on 2019-03-02 12:18 by cheryl.sabella, last changed 2019-08-29 06:02 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14481 closed Kriyszig, 2019-06-30 06:03
PR 14482 merged avi, 2019-06-30 06:08
PR 14860 closed python-dev, 2019-07-19 11:51
PR 15574 merged miss-islington, 2019-08-29 05:41
PR 15575 merged miss-islington, 2019-08-29 05:41
Messages (7)
msg337007 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-03-02 12:18
In Programming FAQ under question "How can my code discover the name of an object?", in the second sentence, the word 'The' shouldn't be capitalized after the semi-colon.

Essentially, assignment always binds a name to a value; ---> The <--- same is true of def and class statements, but in that case the value is a callable. 

Assigning to @Mariatta for the sprints.
msg346897 - (view) Author: Lysandros Nikolaou (lys.nikolaou) * Date: 2019-06-29 20:09
Mariatta noted at https://mail.python.org/archives/list/core-mentorship@python.org/message/KFIGNAGJKWQXCXG72VGIGGA3OCKUHOFC/ that these issues are not reserved and are now available for first-time contributors.
msg346908 - (view) Author: Avinash Sajjanshetty (avi) * Date: 2019-06-30 03:27
I would like to send a PR for this
msg350719 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-08-29 05:40
New changeset 3aa48b88c7485aca1fdfa54b3d8e53931ff067fd by Ned Deily (avinassh) in branch 'master':
bpo-36167: fix an incorrect capitalization (GH-14482)
https://github.com/python/cpython/commit/3aa48b88c7485aca1fdfa54b3d8e53931ff067fd
msg350720 - (view) Author: miss-islington (miss-islington) Date: 2019-08-29 05:47
New changeset e009a91607e7a81302b98d1b322d564ddc1fce9d by Miss Islington (bot) in branch '3.8':
bpo-36167: fix an incorrect capitalization (GH-14482)
https://github.com/python/cpython/commit/e009a91607e7a81302b98d1b322d564ddc1fce9d
msg350721 - (view) Author: miss-islington (miss-islington) Date: 2019-08-29 05:49
New changeset 409493d0acdb8dec55868bb5c6af427ce31ff555 by Miss Islington (bot) in branch '3.7':
bpo-36167: fix an incorrect capitalization (GH-14482)
https://github.com/python/cpython/commit/409493d0acdb8dec55868bb5c6af427ce31ff555
msg350723 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-08-29 06:02
Thank you for your contribution, Avinash!
History
Date User Action Args
2019-08-29 06:02:16ned.deilysetstatus: open -> closed
versions: + Python 3.7
messages: + msg350723

resolution: fixed
stage: patch review -> resolved
2019-08-29 05:49:23miss-islingtonsetmessages: + msg350721
2019-08-29 05:47:47miss-islingtonsetnosy: + miss-islington
messages: + msg350720
2019-08-29 05:41:08miss-islingtonsetpull_requests: + pull_request15251
2019-08-29 05:41:02miss-islingtonsetpull_requests: + pull_request15250
2019-08-29 05:40:53ned.deilysetnosy: + ned.deily
messages: + msg350719
2019-07-19 11:51:39python-devsetpull_requests: + pull_request14650
2019-06-30 06:08:26avisetpull_requests: + pull_request14299
2019-06-30 06:03:47Kriyszigsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request14298
2019-06-30 03:27:51avisetnosy: + avi
messages: + msg346908
2019-06-29 20:09:16lys.nikolaousetnosy: + lys.nikolaou
messages: + msg346897
2019-06-26 12:16:35cheryl.sabellasetversions: + Python 3.9, - Python 3.7
2019-06-26 12:16:29cheryl.sabellasetkeywords: + easy
2019-03-02 12:18:19cheryl.sabellacreate